/* How to use the DHT-22 sensor with Arduino uno
   Temperature and humidity sensor
   More info: http://www.ardumotive.com/how-to-use-dht-22-sensor-en.html
   Dev: Michalis Vasilakis // Date: 1/7/2015 // www.ardumotive.com */

// Libraries
#include <DHT.h>;
#include <SparkFunColorLCDShield.h>

//Constants
#define DHTPIN 2     // what pin we're connected to
#define DHTTYPE DHT22   // DHT 22  (AM2302)
DHT dht(DHTPIN, DHTTYPE); //// Initialize DHT sensor for normal 16mhz Arduino
LCDShield lcd;
char screen[50];
//Variables
int chk;
float hum;  //Stores humidity value
float temp; //Stores temperature value

void setup(){
  Serial.begin(9600);
  dht.begin();
  
  /* Initialize the LCD, set the contrast, clear the screen */
  lcd.init(PHILIPS);
  lcd.contrast(-63);
  lcd.clear(BLACK);
}

void loop() {
  
    //Read data and store it to variables hum and temp
    hum = dht.readHumidity();
    temp= dht.readTemperature();
    //Print temp and humidity values to serial monitor
    Serial.print("Humidity=");
    Serial.print(hum);    
    Serial.print(" Temperature=");
    Serial.println(temp);
    sprintf(screen, "Hum. : %f", hum);
    Serial.println(screen);
    lcd.setStr(screen, 30,10, RED, BLACK);
    sprintf(screen, "Temp. : %f", temp);
    lcd.setStr(screen, 60,10, RED, BLACK);    
    delay(1000);
    lcd.clear(BLACK);
}
